Bug 222645 - [NEW PORT] security/obfs4proxy-tor: Pluggable transport proxy for Tor (obfs4, The Obfuscator)
Summary: [NEW PORT] security/obfs4proxy-tor: Pluggable transport proxy for Tor (obfs4,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D12524
Keywords: patch
Depends on: 222643 222644
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-27 14:54 UTC by Vinícius Zavam
Modified: 2017-12-22 15:34 UTC (History)
2 users (show)

See Also:


Attachments
security/obfs4proxy: obfs4 (a.k.a. The Obfuscator) (7.48 KB, patch)
2017-09-27 14:54 UTC, Vinícius Zavam
no flags Details | Diff
security/obfs4proxy: obfs4 (a.k.a. The Obfuscator) - Full Diff (14.39 KB, patch)
2017-09-27 15:05 UTC, Vinícius Zavam
no flags Details | Diff
Updated patch (5.77 KB, patch)
2017-12-19 22:24 UTC, Yuri Victorovich
no flags Details | Diff
Updated patch (6.01 KB, patch)
2017-12-20 21:09 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2017-09-27 14:54:57 UTC
Created attachment 186763 [details]
security/obfs4proxy: obfs4 (a.k.a. The Obfuscator)

New port to get 'obfs4proxy' working on FreeBSD; depends on #222643 and #222644.
Comment 1 Vinícius Zavam freebsd_committer 2017-09-27 15:05:08 UTC
Created attachment 186764 [details]
security/obfs4proxy: obfs4 (a.k.a. The Obfuscator) - Full Diff

M       security/Makefile

A       security/go-ed25519
A       security/go-ed25519/Makefile
A       security/go-ed25519/distinfo
A       security/go-ed25519/pkg-descr
A       security/go-ed25519/pkg-plist

A       security/go-siphash
A       security/go-siphash/Makefile
A       security/go-siphash/distinfo
A       security/go-siphash/pkg-descr
A       security/go-siphash/pkg-plist

A       security/obfs4proxy
A       security/obfs4proxy/Makefile
A       security/obfs4proxy/distinfo
A       security/obfs4proxy/files
A       security/obfs4proxy/files/pkg-message.in
A       security/obfs4proxy/pkg-descr
A       security/obfs4proxy/pkg-plist
Comment 2 Vinícius Zavam freebsd_committer 2017-09-28 08:44:53 UTC
https://reviews.freebsd.org/D12524
Comment 3 Danilo G. Baio freebsd_committer 2017-10-06 10:54:29 UTC
I'll let it open for other committers.
Comment 4 Yuri Victorovich freebsd_committer 2017-12-19 04:26:28 UTC
Vinícius,

Should only one of the diffs be left? One with a single all-including port?
Please delete the diff with multiple ports and leave a final one.

Yuri
Comment 5 Yuri Victorovich freebsd_committer 2017-12-19 22:24:09 UTC
Created attachment 188979 [details]
Updated patch
Comment 6 Vinícius Zavam freebsd_committer 2017-12-20 09:24:55 UTC
(In reply to Yuri Victorovich from comment #4)

Hi Yuri,

Thank you for getting into it. I did see you got the Diff on Phabricator already; https://reviews.freebsd.org/D12524.

Should we update the patch here on Bugzilla too?

KR,
vncs
Comment 7 Yuri Victorovich freebsd_committer 2017-12-20 21:09:48 UTC
Created attachment 189003 [details]
Updated patch
Comment 8 Yuri Victorovich freebsd_committer 2017-12-22 15:33:56 UTC
Committed,

Thank you for your contribution!
Comment 9 commit-hook freebsd_committer 2017-12-22 15:34:37 UTC
A commit references this bug:

Author: yuri
Date: Fri Dec 22 15:33:50 UTC 2017
New revision: 456985
URL: https://svnweb.freebsd.org/changeset/ports/456985

Log:
  New port: security/obfs4proxy-tor: Pluggable transport proxy for Tor (obfs4, The Obfuscator)

  PR:		222645
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com>
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12524

Changes:
  head/security/Makefile
  head/security/obfs4proxy-tor/
  head/security/obfs4proxy-tor/Makefile
  head/security/obfs4proxy-tor/distinfo
  head/security/obfs4proxy-tor/files/
  head/security/obfs4proxy-tor/files/pkg-message.in
  head/security/obfs4proxy-tor/pkg-descr